linux Programme installieren

  • ich gebe euch nur so wenig Informationen weil ich es nicht besser weiß. jeder fängt mal klein an und ich bin in dem Linux Thema noch Neuling.

    falls ihr noch mehr Informationen haben wollt ist das kein ding, bin ja für jede hilfe dankbar. ich wollte einfach nur gerne zusätzlich kodi auf dem pi haben

  • ich habe eigentlich nicht viel gemacht nur iobroker drauf gemacht und dann alles mit Anleitungen weil ich mich wie gesagt mit Linux nicht wirklich aus kenne. gibt es denn jetzt noch eine Chance das rückgängig zu machen???

    Da solltest Du eigentlich den Autor der Anleitung fragen, schon geschehen ?



    Servus !

    RTFM = Read The Factory Manual, oder so

  • okay habe gestern abend noch alles neu geflasht. raspian und kodi drauf und dann wollte ich iobroker nach der original Anleitung drauf von:

    http://www.iobroker.net/docu/?page_id=5106&lang=de

    aber es kommt dieser fehler

    Code
    pi@raspberrypi:/opt/iobroker $ sudo npm install iobroker --unsafe-perm
    Speicherzugriffsfehler

    kennt einer den fehler?

    ich habe danach auch einfach mal vlc Player installiert klappt ohne probleme

  • Die vorherigen Schritte wurden ohne Fehler abgearbeitet? Du hast Punk 5 natürlich nicht gemacht (ausser du hast nen Pi 1), richtig?

    Der Unterschied zwischen Genie und Wahnsinn definiert sich im Erfolg.

  • pi@raspberrypi:/opt/iobroker $ sudo npm install iobroker --unsafe-perm Speicherzugriffsfehler

    kennt einer den fehler?

    ich habe danach auch einfach mal vlc Player installiert klappt ohne probleme

    Auch mit npm und sudo?


    Wie ist auf deinem PI, die Ausgabe von:

    Code
    find ~ -uid 0 -exec ls -lad {} 2>/dev/null +;

    The most popular websites without IPv6 in Germany.

  • ich habe den pi3 und nodejs 6.11 drauf.

    die Installation habe ich nu hin bekommen aber iobroker läuft nicht.

    bei der Installation machte er folgendens:


  • Warum benutzt du als root sudo?

    " […] if you give a man a fish he is hungry again in an hour. If you teach him to catch a fish you do him a good turn."

  • Warum benutzt du als root sudo?

    Es steht so in der offiziellen Anleitung. :-)


    Code
    als Root über Putty anmelden
    Nach der Installation muss das Kommando „node -v" die Version von node.js zurückgeben. Falls es nicht passiert, dann sollte noch ein Alias erzeugt werden:
    sudo ln -s /usr/local/bin/nodejs /usr/bin/node

    The most popular websites without IPv6 in Germany.

  • Code
    pi@raspberrypi:~ $ find ~ -uid 0 -exec ls -lad {} 2>/dev/null +;
    drwxr-xr-x 0 root root 0 Jan 1 1970 /home/pi/thinclient_drives

    Wenn Du nicht root bist und sudo mit npm verwenden musst, dann versuch mal mit:

    Code
    sudo -H npm ...

    The most popular websites without IPv6 in Germany.

  • achso muss ich es über putty machen. Dachte das geht auch als root also sudo su.

    Die Anleitung ist auch für raspian-xxx-lite. Da steht putty, aber mit einem anderen ssh-Client (oder gleichwertig) sollte es auch möglich sein. Wenn Du schon als root angemeldet bist, brauchst Du nicht sudo.

    The most popular websites without IPv6 in Germany.

  • ich einiges noch nicht werde es aber mit putty probieren

    das sollte nix ändern. putty ist wie das Terminal, nur das man keinen Bildschirm braucht

    Der Unterschied zwischen Genie und Wahnsinn definiert sich im Erfolg.